# source http://12244.wpc.azureedge.net/8012244/drivers/rtdrivers/cn/nic/0005-r8168-8.042.00.tar.bz2

%global		module r8168

Name:		dkms-%{module}
Version:	8.042.00
Release:	%mkrel 1
Source0:	%{module}-%{version}.tar.xz
Source1:	linux-40.patch
License:	GPLv2
Group:		System/Kernel and hardware
URL:		http://www.realtek.com.tw/
Summary:	dkms package for %{module} driver
Requires(post,preun): dkms
BuildArch:	noarch

%description
A kernel module for Realtek 8168 network cards

%prep
%setup -qn %{module}-%{version}
find -type f -exec chmod 0644 {} \;

%install
%__rm -rf %{buildroot}
%__install -Dm644 %{SOURCE1} %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/patches/linux-40.patch
%__cp -a ./{autorun.sh,Makefile,src} %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}

cat <<EOF > %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/dkms.conf
PACKAGE_NAME="%{module}"
PACKAGE_VERSION="%{version}-%{release}"
BUILT_MODULE_NAME[0]="\$PACKAGE_NAME"
BUILT_MODULE_LOCATION[0]="src/"
DEST_MODULE_LOCATION[0]="/kernel/drivers/net/ethernet/realtek"
PATCH[0]="linux-40.patch"
PATCH_MATCH[0]="4\.0\.[1-9]"
MAKE[0]="'make' clean KSRC=$kernel_source_dir EXTRA_CFLAGS='-DCONFIG_R8168_NAPI -DCONFIG_R8168_VLAN' modules"
AUTOINSTALL="yes"
CLEAN="make clean"
EOF

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_usrsrc}/%{module}-%{version}-%{release}

%post -n dkms-%{module}
/usr/sbin/dkms --rpm_safe_upgrade add -m %{module} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade build -m %{module} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade install -m %{module} -v %{version}-%{release}

if [ "$1" = 1 ]; then
/sbin/rmmod r8169 >/dev/null 2>&1
/sbin/modprobe r8168 >/dev/null 2>&1
echo "Reloading network configuration ... "
/sbin/service network reload >/dev/null 2>&1
echo "blacklist r8169" >> /etc/modprobe.d/blacklist
echo "r8168" >> /etc/modprobe.preload
echo -e \
'\n> The module r8168 conflicts with r8169. Module r8169 has just been blacklisted by adding it to
> /etc/modprobe.d/blacklist file. Module r8168 will be loaded automatically at boot time from next boot.
> Deinstallation of dkms-r8168 package will revert changes to a previous state.\n'
fi

%preun -n dkms-%{module}
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{module} -v %{version}-%{release} --all

if [ "$1" = 0 ]; then
/sbin/rmmod r8168 >/dev/null 2>&1
/sbin/modprobe r8169 >/dev/null 2>&1
echo "Reloading network configuration ... "
/sbin/service network reload >/dev/null 2>&1
sed -i '/r8169/ d' /etc/modprobe.d/blacklist
sed -i '/r8168/ d' /etc/modprobe.preload
fi

%changelog
* Mon Aug 15 2016 marcin82 <marcin82 at vp.pl> 8.042.00-1uplos2016
- update
- changes in spec file
- rebuilt for Uplos
